Groups

Block Group

POST
/groups/{groupId}/block

Blocks a Group for the current user. To unblock a group, call kickGroupMember (DELETE /groups/{groupId}/members/{userId}).

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/block"
{
  "success": {
    "message": "You've blocked the group.",
    "status_code": 200
  }
}
{
  "error": {
    "message": "User is already banned․",
    "status_code": 400
  }
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "You must leave a group before blocking it․",
    "status_code": 403
  }
}
{
  "error": {
    "message": "Can't find groupǃ",
    "status_code": 404
  }
}